Package javax.security.auth.message.config

# Class AuthConfigFactory

java.lang.Object
javax.security.auth.message.config.AuthConfigFactory

public abstract class AuthConfigFactory extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `AuthConfigFactory.RegistrationContext`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_FACTORY_SECURITY_PROPERTY`
  `static final String`
  `GET_FACTORY_PERMISSION_NAME`
  `static final SecurityPermission`
  `getFactorySecurityPermission`
  `static final String`
  `PROVIDER_REGISTRATION_PERMISSION_NAME`
  `static final SecurityPermission`
  `providerRegistrationSecurityPermission`
  `static final String`
  `SET_FACTORY_PERMISSION_NAME`
  `static final SecurityPermission`
  `setFactorySecurityPermission`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthConfigFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract String[]`
  `detachListener(RegistrationListener listener, String layer, String appContext)`
  `abstract AuthConfigProvider`
  `getConfigProvider(String layer, String appContext, RegistrationListener listener)`
  `static AuthConfigFactory`
  `getFactory()`
  `abstract AuthConfigFactory.RegistrationContext`
  `getRegistrationContext(String registrationID)`
  `abstract String[]`
  `getRegistrationIDs(AuthConfigProvider provider)`
  `abstract void`
  `refresh()`
  `abstract String`
  `registerConfigProvider(String className, Map properties, String layer, String appContext, String description)`
  `abstract String`
  `registerConfigProvider(AuthConfigProvider provider, String layer, String appContext, String description)`
  `abstract boolean`
  `removeRegistration(String registrationID)`
  `static void`
  `setFactory(AuthConfigFactory factory)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_FACTORY_SECURITY_PROPERTY

    public static final String DEFAULT_FACTORY_SECURITY_PROPERTY
    See Also:
      - Constant Field Values

  - ### GET_FACTORY_PERMISSION_NAME

    public static final String GET_FACTORY_PERMISSION_NAME
    See Also:
      - Constant Field Values

  - ### SET_FACTORY_PERMISSION_NAME

    public static final String SET_FACTORY_PERMISSION_NAME
    See Also:
      - Constant Field Values

  - ### PROVIDER_REGISTRATION_PERMISSION_NAME

    public static final String PROVIDER_REGISTRATION_PERMISSION_NAME
    See Also:
      - Constant Field Values

  - ### getFactorySecurityPermission

    public static final SecurityPermission getFactorySecurityPermission

  - ### setFactorySecurityPermission

    public static final SecurityPermission setFactorySecurityPermission

  - ### providerRegistrationSecurityPermission

    public static final SecurityPermission providerRegistrationSecurityPermission

- ## Constructor Details

  - ### AuthConfigFactory

    public AuthConfigFactory()

- ## Method Details

  - ### getFactory

    public static AuthConfigFactory getFactory()

  - ### setFactory

    public static void setFactory(AuthConfigFactory factory)

  - ### getConfigProvider

    public abstract AuthConfigProvider getConfigProvider(String layer, String appContext, RegistrationListener listener)

  - ### registerConfigProvider

    public abstract String registerConfigProvider(String className, Map properties, String layer, String appContext, String description)

  - ### registerConfigProvider

    public abstract String registerConfigProvider(AuthConfigProvider provider, String layer, String appContext, String description)

  - ### removeRegistration

    public abstract boolean removeRegistration(String registrationID)

  - ### detachListener

    public abstract String[] detachListener(RegistrationListener listener, String layer, String appContext)

  - ### getRegistrationIDs

    public abstract String[] getRegistrationIDs(AuthConfigProvider provider)

  - ### getRegistrationContext

    public abstract AuthConfigFactory.RegistrationContext getRegistrationContext(String registrationID)

  - ### refresh

    public abstract void refresh()